Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## peak.can.basic
Class TPCANMsg

    java.lang.Object
      peak.can.basic.TPCANMsg

All Implemented Interfaces:
  java.lang.Cloneable

    public class TPCANMsg

extends java.lang.Object
implements java.lang.Cloneable

Defines a CAN message.

Field Summary
`static byte` | `MSGTYPE_EXTENDED` 29bit message type (extended)
`static byte` | `MSGTYPE_RTR` Remote request
`static byte` | `MSGTYPE_STANDARD` 11bit message type (standard)

Constructor Summary
`TPCANMsg()` Default constructor
`TPCANMsg(int id, byte type, byte length, byte[] data)` Constructs a new message object.

Method Summary
`java.lang.Object` | `clone()` Clones this message object.
`byte[]` | `getData()` Gets the data of this message.
`int` | `getID()` Gets the id of this message.
`byte` | `getLength()` Gets the length of this message.
`byte` | `getType()` Gets the type of this message.
`void` | `setData(byte[] data, byte length)` Sets the data and length of this message.
`void` | `setID(int id)` Sets the id of this message.
`void` | `setLength(byte length)` Sets the length of this message.
`void` | `setType(byte type)` Sets the type of this message.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MSGTYPE_STANDARD

    public static final byte MSGTYPE_STANDARD

  11bit message type (standard)

  See Also:
    Constant Field Values

### MSGTYPE_RTR

    public static final byte MSGTYPE_RTR

  Remote request

  See Also:
    Constant Field Values

### MSGTYPE_EXTENDED

    public static final byte MSGTYPE_EXTENDED

  29bit message type (extended)

  See Also:
    Constant Field Values

Constructor Detail

### TPCANMsg

    public TPCANMsg()

  Default constructor

### TPCANMsg

    public TPCANMsg(int id,
                    byte type,
                    byte length,
                    byte[] data)

  Constructs a new message object.

  Parameters:
    `id` - the message id
    `type` - the message type
    `length` - the message length
    `data` - the message data

Method Detail

### setID

    public void setID(int id)

  Sets the id of this message.

  Parameters:
    `id` - the message id

### setData

    public void setData(byte[] data,
                        byte length)

  Sets the data and length of this message.

  Parameters:
    `data` - the message data
    `length` - the message length

### setLength

    public void setLength(byte length)

  Sets the length of this message.

  Parameters:
    `length` - the length of the message

### setType

    public void setType(byte type)

  Sets the type of this message.

  Parameters:
    `type` - the message type

### getID

    public int getID()

  Gets the id of this message.

  Returns:
    the message id

### getData

    public byte[] getData()

  Gets the data of this message.

  Returns:
    the message data

### getLength

    public byte getLength()

  Gets the length of this message.

  Returns:
    the message length

### getType

    public byte getType()

  Gets the type of this message.

  Returns:
    the message type

### clone

    public java.lang.Object clone()

  Clones this message object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    The cloned message object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD